Cyberduck Mountain Duck CLI

#10900 closed defect (fixed)

Sign in with Google (OAuth) disabled pending verification

Reported by: timbo Owned by: dkocher
Priority: high Milestone:
Component: googledrive Version: 7.2.1
Severity: blocker Keywords:
Cc: Architecture: Intel
Platform: macOS 10.14

Description (last modified by dkocher)

When I'm adding a new google drive connection, I get routed to the google authentification page. When selecting my account I'm getting

Sign in with Google temporarily disabled for this app - This app has not been verified yet by Google in order to use Google Sign In.

screenshot

Tried with two different google accounts with same result.

Attachments (1)

screenshot.png (93.2 KB) - added by timbo on Dec 8, 2019 at 1:40:50 PM.
screenshot

Download all attachments as: .zip

Change History (20)

Changed on Dec 8, 2019 at 1:40:50 PM by timbo

screenshot

comment:1 Changed on Dec 8, 2019 at 1:42:25 PM by timbo

  • Severity changed from normal to major

comment:2 Changed on Dec 8, 2019 at 3:36:09 PM by dkocher

We are currently awaiting response from Google for our updated registration. As a workaround, register a custom OAuth 2.0 Client ID with Google.

comment:3 Changed on Dec 8, 2019 at 3:36:30 PM by dkocher

  • Description modified (diff)

comment:4 Changed on Dec 8, 2019 at 3:42:33 PM by dkocher

  • Owner set to dkocher
  • Status changed from new to assigned

comment:5 Changed on Dec 8, 2019 at 3:42:56 PM by dkocher

  • Description modified (diff)

comment:6 Changed on Dec 8, 2019 at 3:46:06 PM by dkocher

  • Description modified (diff)

comment:7 Changed on Dec 8, 2019 at 3:46:18 PM by dkocher

  • Description modified (diff)

comment:8 Changed on Dec 8, 2019 at 3:50:34 PM by dkocher

  • Priority changed from normal to high
  • Severity changed from major to blocker

comment:9 Changed on Dec 8, 2019 at 3:52:53 PM by dkocher

  • Milestone set to 7.2.2

comment:10 Changed on Dec 12, 2019 at 9:24:36 AM by dkocher

  • Milestone 7.2.2 deleted

comment:11 Changed on Dec 19, 2019 at 8:54:15 AM by dkocher

For Google Storage you can use interoperable access as a workaround.

comment:12 Changed on Dec 20, 2019 at 1:59:18 PM by dkocher

  • Summary changed from Google OAuth authentification disabled to Sign in with Google (OAuth) disabled pending verification

comment:13 Changed on Dec 22, 2019 at 9:06:06 PM by dkocher

#10914 closed as duplicate.

comment:14 Changed on Dec 22, 2019 at 9:26:51 PM by afnkaf

Hello, I am overstrained here. Any better isntructions out there how to do the google drive workaround?

comment:15 Changed on Dec 26, 2019 at 11:28:37 PM by dkocher

We are in exchange with Google Cloud Platform/API Trust & Safety by emails since Dec 6th.

comment:16 Changed on Dec 26, 2019 at 11:33:27 PM by dkocher

6th Dec 2019

Thanks for your reply. A link to the privacy policy is now inclued in the footer of every page at https://cyberduck.io/

Dear Developer,
Thank you for submitting an OAuth App Verification request.

Privacy Policy  

Google API Service:User Data Policy requires the following:

Your Privacy policy must be:

Hosted within the domain of your website
Accessible from the app’s home page
Visible to users
Linked to the OAuth consent screen on the Google API Console
Your privacy policy and in-product privacy notifications must clearly disclose the manner in which your application accesses, uses, stores, or shares Google user data.

Your use of Google user data must be limited to the practices explicitly disclosed in your published privacy policy.

Once your project is updated to reflect these requirements, please reply to this email to confirm your compliance.

If you have additional questions, you can review the OAuth Application Verification FAQ or respond to this email.


9th Dec 2019

We cannot show this as long you have blocked our Client ID obviously. The documentation for Cyberduck & Google Drive is available on https://trac.cyberduck.io/wiki/help/en/howto/googledrive. We support accessing Google Docs since 2010 respectively Google Drive since 2016.

Dear Developer,
Thank you for your response.

In order to continue with the verification process, you’ll need to create and provide a link to a YouTube video that shows how you’ll use the data you access using OAuth scopes. Specifically, the demo video should detail, in English:

How to log into your project (ensuring that the URL bar with the client ID is clearly visible)

How to request an OAuth token (OAuth Consent Screen/Permissions Page)

How your project's functionality utilizes the requested scopes:

https://www.googleapis.com/auth/drive

See, edit, create, and delete your Google Drive files

Demonstrate that functionality was successfully achieved.
Please note, we must verify that any changes made via the application, are successfully reflected in the user’s Google Drive.

Last edited on Dec 26, 2019 at 11:33:38 PM by dkocher (previous) (diff)

comment:17 Changed on Dec 27, 2019 at 9:04:32 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed
Dear Developer,
Thank you for submitting a verification request.

Your OAuth App Verification request for project: api-project-996125414232 has been approved for the following scopes:

https://www.googleapis.com/auth/drive
https://www.googleapis.com/auth/devstorage.read_write

comment:18 follow-up: Changed on Dec 29, 2019 at 4:40:00 PM by neik2020

  • Resolution fixed deleted
  • Status changed from closed to reopened

It's still broken for me.

comment:19 in reply to: ↑ 18 Changed on Dec 31, 2019 at 10:19:22 PM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

Replying to neik2020:

It's still broken for me.

We have tested this and the consent screen is no longer being blocked.

Note: See TracTickets for help on using tickets.
swiss made software